Subject: Re: [PATCH net-next v2 0/5] bridge: per-vlan stats

From: Nikolay Aleksandrov <[email-masked]>
Date: Fri, 29 Apr 2016 21:49:17 +0200

On 04/29/2016 09:33 PM, David Miller wrote:
> From: Nikolay Aleksandrov <[email-masked]>
> Date: Thu, 28 Apr 2016 17:52:46 +0200
> 
>> This set adds support for bridge per-vlan statistics.
> 
> Between the counter bumps in fast paths and new levels of pointer
> indirection in order to RCU things, I have to agree with Stephen
> that this new overhead is really pushing it.
> 
> All of this new overhead contributes to the transactional overhead
> for every single packet.
> 
> Sorry I'm not going to apply this for now, unless you can come up
> with something significantly cheaper.
> 
> Thanks.
> 

Okay, thanks for the feedback. Is this about the RCUfication of the pvid ?
Because that is not needed for the per-vlan stats to work, I did to unify the paths
and simplify the pvid code but I can easily drop it and revert back to using
the direct pvid id.
The only fetch will be the stats per-cpu pointer then. Would that be acceptable ?

Cheers,
 Nik